VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Attributes
vmware::vcenter::vm::PowerDefinitions Class Reference

Defines the type descriptors for the Power API service. More...

List of all members.

## Static Public Attributes
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | info
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | get_Input
static global::System.Lazy < vmware.vapi.bindings.type.IType > | get_Output
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | startInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | startOutput
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | stopInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | stopOutput
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | suspendInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | suspendOutput
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | resetInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | resetOutput

## Detailed Description

Defines the type descriptors for the Power API service.

## Member Data Documentation

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::vm::PowerDefinitions::get_Input`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("vm", new vmware.vapi.bindings.type.IdType("VirtualMachine"));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::vcenter::vm::PowerDefinitions::get_Output`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.vm.PowerDefinitions.info.Value));
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::vm::PowerDefinitions::info`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("state", new vmware.vapi.bindings.type.EnumType(typeof(vmware.vcenter.vm.PowerTypes.State)));
                    fields.Add("clean_power_off", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.BooleanType()));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    validators = new global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator>(1);
                    global::System.Collections.Generic.Dictionary<string, global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>> caseFields =
                        new global::System.Collections.Generic.Dictionary<string, global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>>();
                    caseFields.Add("POWERED_OFF", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){new vmware.vapi.data.UnionValidator.FieldData("clean_power_off", false)});
                    caseFields.Add("POWERED_ON", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){});
                    caseFields.Add("SUSPENDED", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){});
                    validators.Add(new vmware.vapi.data.UnionValidator("state", caseFields));
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vcenter.vm.power.info", fields, typeof(vmware.vcenter.vm.PowerTypes.Info), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::vm::PowerDefinitions::resetInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("vm", new vmware.vapi.bindings.type.IdType("VirtualMachine"));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::vcenter::vm::PowerDefinitions::resetOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.VoidType();
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::vm::PowerDefinitions::startInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("vm", new vmware.vapi.bindings.type.IdType("VirtualMachine"));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::vcenter::vm::PowerDefinitions::startOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.VoidType();
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::vm::PowerDefinitions::stopInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("vm", new vmware.vapi.bindings.type.IdType("VirtualMachine"));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::vcenter::vm::PowerDefinitions::stopOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.VoidType();
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::vm::PowerDefinitions::suspendInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("vm", new vmware.vapi.bindings.type.IdType("VirtualMachine"));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::vcenter::vm::PowerDefinitions::suspendOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.VoidType();
                })

The documentation for this class was generated from the following file:

- PowerDefinitions.cs